# (6) Withdrawn consent

## Request Withdrawn Consent

<mark style="color:green;">`POST`</mark> `https://api.domain.com/api/services/app/DataSubjects/RequestWithdrawnConsent`

#### Headers

| Name           | Type   | Description         |
| -------------- | ------ | ------------------- |
| Authentication | string | Bearer Token ของคุณ |

#### Request Body

| Name       | Type   | Description                                             |
| ---------- | ------ | ------------------------------------------------------- |
| identifier | string | ข้อมูลที่ใช้ระบุตัวบุคคล                                |
| purposeIds | string | ชุดเลขที่ของวัตถุประสงค์ที่ต้องการถอนความยินยอม         |
| otpType    | string | ช่องทางที่ต้องการส่ง OTP (Email = 1, SMS = 2)           |
| email      | string | หากต้องการส่ง otp ไปที่ email ต้องระบุ email มาด้วย     |
| mobileNo   | string | หากต้องการส่ง otp ไปที่ mobile ต้องระบุ mobileNo มาด้วย |

{% tabs %}
{% tab title="200 successfully retrieved." %}

```
{
  "result": {
  },
  "targetUrl": null,
  "success": true,
  "error": null,
  "unAuthorizedRequest": false,
  "__abp": true
}
```

{% endtab %}
{% endtabs %}

ตัวอย่างข้อมูล

```
{
  "identifier": "string",
  "purposeIds": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "otpType": 0,
  "email": "string",
  "mobileNo": "string"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reddot.co.th/consent-senario-withdrawn-consent/6-withdrawn-consent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
